Class | YARD::Parser::LoadOrderError
In: | lib/yard/parser/source_parser.rb
Parent: | Exception

A LoadOrderError occurs when a handler needs to modify a {CodeObjects::NamespaceObject} (usually by adding a child to it) that has not yet been resolved.

@see Handers::Base#ensure_loaded!

### Methods

new

### Attributes

context

[RW]

@return [Continuation] the context representing the

      point at which the load order error occurred.

### Public Class methods

new(context)

@param [Continuation] context see {context}

[Validate]